Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
vubk10

Thắc mắc về ename trong Lisp

Các bài được khuyến nghị

vubk10    0

Chào anh em trên CADVIET em là thành viên mới của diễn đàn.Và mới bắt đầu tập sự đọc hiểu ngon ngữ trên Autolisp.

trong quá trình đọc e không hiểu cho lắm về cụm từ "ENAME" các pro có thể giải thich kĩ giúp em được không..

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Ename - theo cách đặt tên - gồm "E" và "NAME".

"E" là viết tắt của Entity. >> Ename là tên thực thể, tên đối tượng...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hiepttr    523

bạn vẽ lung tung trên 1 bản vẽ, rồi coppy paste dòng này vô command & chọn đại lấy 1 đối tượng:

(setq a (entsel ))

---> ename = Entity name (tên đơn vị / thực thể)

Mình tạm hiểu vậy !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

bạn vẽ lung tung trên 1 bản vẽ, rồi coppy paste dòng này vô command & chọn đại lấy 1 đối tượng:

(setq a (entsel ))

---> ename = Entity name (tên đơn vị / thực thể)

Mình tạm hiểu vậy !

Hề hề hề,

Cái entity name này được xem như một Giấy chứng minh điện tử cho các đối tượng được hình thành trong CAD. Với cái CMND điện tử này, bất kỳ ai cũng có thể truy suất ra lý lịch của đối tượng như cha mẹ, vợ chồng hay con cháu của đối tựợng. Cái lý lịch này được thể hiện bởi các mà DXF của đối tượng bạn ạ. 

Nhờ vào đó bạn có khả năng cải tạo đối tượng sao cho nó phù hợp với mục tiêu sử dụng của bạn. Cho dù bạn có cải tạo thoải mái nhưng cái CMND diện tử này vẫn không thay đổi chi cả, ngoại trừ bạn giết đối tượng đi bằng các cách khác nhau nào đó. 

Hề hề hề,...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vubk10    0

 

Ví dụ: chọn 1 đối tượng bất kỳ trên bản vẽ, trả về ename của nó:

(setq ent (car (entsel)))

(setq e2 (car (entsel)))

lệnh trên là gán giá trị đầu tiên bằng phương pháp pick cho biến ent. vậy các ename gồm có đối tượng được pick và tọa độ được pick đúng không anh :)

ent và e2 là do người dùng tự định nghĩa hả anh :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Tôi không biết phải trả lời câu hỏi của bạn như thế nào. Nói chung, mọi cái cứ từ từ thì sẽ ổn, chứ nhảy cấp quá thì cũng hơi khó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×